org.eclipse.remote.serial.ui

## Class SerialPortConnectionBlock

- java.lang.Object
- - org.eclipse.remote.serial.ui.SerialPortConnectionBlock

    public class SerialPortConnectionBlock
    extends java.lang.Object

### Nested Class Summary

Nested Classes
`class` `SerialPortConnectionBlock.SerialBlockUpdateListener`

### Constructor Summary

Constructors
Constructor and Description
`SerialPortConnectionBlock()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addUpdateListener(SerialPortConnectionBlock.SerialBlockUpdateListener listener)`
`void` `createBlock(org.eclipse.swt.widgets.Composite comp, IRemoteConnectionWorkingCopy wc)` Creates the UI elements for the SerialPortConnectionBlock
`int` `getBaudRateIndex()`
`int` `getByteSizeIndex()`
`java.lang.String` `getConnectionName()`
`int` `getParityIndex()`
`java.lang.String` `getPortName()`
`int` `getStopBitsIndex()`
`boolean` `isComplete()`
`void` `removeUpdateListener(SerialPortConnectionBlock.SerialBlockUpdateListener listener)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SerialPortConnectionBlock

    public SerialPortConnectionBlock()

### Method Detail

#### createBlock

    public void createBlock(org.eclipse.swt.widgets.Composite comp,
                            IRemoteConnectionWorkingCopy wc)

Creates the UI elements for the SerialPortConnectionBlock

Parameters:
  `comp` - - parent composite
  `wc` - - an IRemoteConnectionWorkingCopy to populate the default values from. Can be null.

#### getConnectionName

    public java.lang.String getConnectionName()

#### getPortName

    public java.lang.String getPortName()

#### getBaudRateIndex

    public int getBaudRateIndex()

#### getByteSizeIndex

    public int getByteSizeIndex()

#### getParityIndex

    public int getParityIndex()

#### getStopBitsIndex

    public int getStopBitsIndex()

#### isComplete

    public boolean isComplete()

#### addUpdateListener

    public void addUpdateListener(SerialPortConnectionBlock.SerialBlockUpdateListener listener)

#### removeUpdateListener

    public void removeUpdateListener(SerialPortConnectionBlock.SerialBlockUpdateListener listener)